import commonLogic from '@/locale/logic/common/common-logic';

function getLocaleResourceBase(){
	const data:any = {
	fields: {
		id: commonLogic.appcommonhandle("主键ID",null),
		job_id: commonLogic.appcommonhandle("任务ID",null),
		address: commonLogic.appcommonhandle("执行地址",null),
		handler: commonLogic.appcommonhandle("执行器任务HANDLER",null),
		param: commonLogic.appcommonhandle("执行器任务参数",null),
		fail_retry_count: commonLogic.appcommonhandle("失败重试次数",null),
		trigger_code: commonLogic.appcommonhandle("触发器调度返回码",null),
		trigger_type: commonLogic.appcommonhandle("触发器调度类型",null),
		trigger_msg: commonLogic.appcommonhandle("触发器调度信息",null),
		create_time: commonLogic.appcommonhandle("创建时间",null),
	},
		views: {
			gridview: {
				caption: commonLogic.appcommonhandle("任务调度日志",null),
				title: commonLogic.appcommonhandle("任务调度日志表格视图",null),
			},
			editview: {
				caption: commonLogic.appcommonhandle("任务调度日志",null),
				title: commonLogic.appcommonhandle("任务调度日志编辑视图",null),
			},
		},
		main_form: {
			details: {
				group1: commonLogic.appcommonhandle("任务调度日志基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("主键ID",null), 
				srfmajortext: commonLogic.appcommonhandle("执行器任务HANDLER",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				job_id: commonLogic.appcommonhandle("任务ID",null), 
				handler: commonLogic.appcommonhandle("执行器任务HANDLER",null), 
				param: commonLogic.appcommonhandle("执行器任务参数",null), 
				fail_retry_count: commonLogic.appcommonhandle("失败重试次数",null), 
				trigger_code: commonLogic.appcommonhandle("触发器调度返回码",null), 
				trigger_type: commonLogic.appcommonhandle("触发器调度类型",null), 
				trigger_msg: commonLogic.appcommonhandle("触发器调度信息",null), 
				address: commonLogic.appcommonhandle("执行地址",null), 
				create_time: commonLogic.appcommonhandle("创建时间",null), 
				id: commonLogic.appcommonhandle("主键ID",null), 
			},
			uiactions: {
			},
		},
		main_grid: {
			columns: {
				id: commonLogic.appcommonhandle("主键ID",null),
				job_id: commonLogic.appcommonhandle("任务ID",null),
				handler: commonLogic.appcommonhandle("执行器任务HANDLER",null),
				address: commonLogic.appcommonhandle("执行地址",null),
				trigger_code: commonLogic.appcommonhandle("触发器调度返回码",null),
				trigger_type: commonLogic.appcommonhandle("触发器调度类型",null),
				fail_retry_count: commonLogic.appcommonhandle("失败重试次数",null),
				create_time: commonLogic.appcommonhandle("创建时间",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		default_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("常规条件",null), 
				n_job_id_eq: commonLogic.appcommonhandle("任务ID(等于(=))",null), 
				n_handler_like: commonLogic.appcommonhandle("执行器任务HANDLER(文本包含(%))",null), 
				n_trigger_code_eq: commonLogic.appcommonhandle("触发器调度返回码(等于(=))",null), 
			},
			uiactions: {
			},
		},
		gridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("编辑",null),
				tip: commonLogic.appcommonhandle("编辑",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("删除",null),
				tip: commonLogic.appcommonhandle("删除",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("导出",null),
				tip: commonLogic.appcommonhandle("导出",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("导出数据模型",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
			tbitem17: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem19: {
				caption: commonLogic.appcommonhandle("过滤",null),
				tip: commonLogic.appcommonhandle("过滤",null),
			},
			tbitem18: {
				caption: commonLogic.appcommonhandle("帮助",null),
				tip: commonLogic.appcommonhandle("帮助",null),
			},
		},
	};
	return data;
}
export default getLocaleResourceBase;